QGIS 2.10 e GRASS 7

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

QGIS 2.10 e GRASS 7

Elena Mezzini-2
PREMESSA:
Tra QGIS 2.10 e GRASS 7 non c'è "comunicazione", c'è il Processing, che per farlo funzionare basta aggiornarlo, ma i classici tasti "crea mapset", "crea location", "apri location", "apri mapset"... non ci sono perchè sono nel plugin GRASS, che funziona per GRASS 6.4  in QGIS 2.10, mentre per farlo funzionare con GRASS 7 bisogna attendere la 2.12 (3 settimane) o installare la 2.11 (non stabile).
Per me questa cosa è di fondamentale importanza, soprattutto per la didattica, quindi mi sono rivolta a Paolo direttamente per capire quale fosse la soluzione migliore...
Qui sotto vi riporto l'ultima e-mail che gli ho mandato, può essere utile a molti, e molti possono fornirmi suggerimenti. Naturalmente Paolo ha suggerito la pubblicazione dell'e-mail.

Per Paolo: Aspetto ancora le risposte alle ultime domande... devo muovermi velocemente per procedere all'eventuale installazione della 2.11.

Elena
____________________________

E io rilancio con risposte e domande!

>
> Li uso per aprire mapset e location e per creare mapset e location da QGIS.

ah, per poi usarli in grass?
allora rilancio con un'altra domanda, scusa se approfitto, ma ci e'
molto utile capire le esigenze degli utenti: per quali motivi
esattamente non fai tutto in QGIS? immagino sia scomodo saltabeccare da
una GUI all'altra, no?

A volte è scomodo a volte no.
Mi piace usare il meglio di QGIS e il meglio di GRASS!
- Mi era utile insegnare ai ragazzi come creare location e mapset di GRASS all'interno di QGIS perchè fino a poche versioni di GRASS fa, in GRASS era molto meno user-friendly
- ora potrei fare tutto da GRASS, ma adoro il compositore di stampe di QGIS e anche per i vettoriali mi trovo meglio con QGIS, quindi per me è importante che i due si parlino
- per molti processi di telerilevamento, erosione dei suoli, ecc... GRASS, mi dispiace dirtelo, ma è insuperabile, e naturalmente Processing non contiene tutti i comandi di GRASS (motivo per cui non faccio tutto in QGIS)
- Pro dell'usare tutti e due: per la didattica è sicuramente ottimo, i ragazzi imparano due software, ed in più questi due software potentissimi non sono due entità separate, ma comunicano tra loro. Per quanto mi riguarda... una figata!

> Non so se aprendo QGIS Desktop with GRASS 6.4 mi appaiono, ma se ho
> installato GRASS 7.0 forse non mi funzionano...
direi che non ti dovrebbero funzionare.

Esattamente, ho fatto la verifica e non appaiono nè i pulsanti, nè il plugin GRASS tra gli installabili... è esattamente come il QGIS 2.10 senza GRASS 6.4
 
> GRASS ho la 7.0.1, provider non attivato, se lo trovo nelle opzioni del
> menù Processing mi segno che lo devo attivare.
esatto

Attivato ed infatti in Processing compaiono i comandi GRASS GIS 7!

Ora veniamo a ciò che preme alla sottoscritta:

>     Se ti serve il plugin GRASS per G7, l'unica cosa da fare e' usare master
>     (2.11, che diventerà 2.12 fra 3 settimane).
>
>
> Non è strettamente necessario, dovrei farcela lo stesso.
peccato, e' una buona occasione per verificare dal vivo, e il plugin
rinnovato e' davvero meglio. se ci ripensi, fammi sapere.
quindi, per curiosità mia, il corso lo fai con Processing o con il
plugin GRASS?

Dipende, apro i mapset con il plugin e poi eseguo alcuni comandi con Processing.
Solo che quest'anno non lo faccio io, ma il mio capo, quindi non posso consegnargli una versione master, se per caso becca un baco durante la lezione è un bel casino ;)
X telerilevamento ci servono dei comandi di GRASS GIS 7 che sono solo nel 7, ci serve che i due comunichino per importare ed esportare dati di GRASS in QGIS agevolmente (creazione di mapset e location si può fare direttamente in GRASS), insomma sarebbe bello aprire un mapset di GRASS in QGIS e ritrovarsi già tutto pronto...
Quindi ecco la mia raffica di domande:
la versione 2.11 di QGIS, onestamente, quanto è instabile? Quanti test avete già fatto? Insomma, in definitiva, quante probabilità ho che installando la 2.11 il mio prof e i miei studenti incappino in un bug? Cosa colpiscono di solito i bug che escono a questo stadio di sviluppo?
Nel caso, quale sub-version della 2.11 mi consiglieresti di installare?? 2.11.0-82 o 2.11.0-83? Dall'OsGeo installer devo prendere quella indicata in qgis-dev o qgis-dev-pdb?

Aspetto tue notizie!
Grazie a te!

_______________________________________________
[hidden email]
http://lists.gfoss.it/cgi-bin/mailman/listinfo/gfoss
Questa e' una lista di discussione pubblica aperta a tutti.
I messaggi di questa lista non hanno relazione diretta con le posizioni dell'Associazione GFOSS.it.
786 iscritti al 30.9.2015
Reply | Threaded
Open this post in threaded view
|

Re: QGIS 2.10 e GRASS 7

pcav
Il 07/10/2015 16:33, Elena Mezzini ha scritto:
> PREMESSA:
> Tra QGIS 2.10 e GRASS 7 non c'è "comunicazione", c'è il Processing, che
> per farlo funzionare basta aggiornarlo, ma i classici tasti "crea
> mapset", "crea location", "apri location", "apri mapset"... non ci sono
> perchè sono nel plugin GRASS, che funziona per GRASS 6.4  in QGIS 2.10,
> mentre per farlo funzionare con GRASS 7 bisogna attendere la 2.12 (3
> settimane) o installare la 2.11 (non stabile).

esatto

> - per molti processi di telerilevamento, erosione dei suoli, ecc...
> GRASS, mi dispiace dirtelo, ma è insuperabile

ecco, appunto: a noi serve sapere *perché* è insuperabile, ovvero quali
funzioni mancano nell'interfaccia di QGIS?

> e naturalmente Processing
> non contiene tutti i comandi di GRASS (motivo per cui non faccio tutto
> in QGIS)

non "naturalmente", ma solo peché nessuno li ha fatti (3 righe di
testo), né li ha chiesti: mi fai un elenco? c'e' uno studente furbo che
ha voglia di aggiungerli? da parte mia posso instradarlo, dopo di che è
una banalità.

>     > Non so se aprendo QGIS Desktop with GRASS 6.4 mi appaiono, ma se ho
>     > installato GRASS 7.0 forse non mi funzionano...
>     direi che non ti dovrebbero funzionare.
>
> Esattamente, ho fatto la verifica e non appaiono nè i pulsanti, nè il
> plugin GRASS tra gli installabili... è esattamente come il QGIS 2.10
> senza GRASS 6.4

confermo, in QGIS 2.10 c'e' supporto per G6, non per G7

> X telerilevamento ci servono dei comandi di GRASS GIS 7 che sono solo
> nel 7

per favore, valuta il fatto che se ti servono puoi aggiungerli

> la versione 2.11 di QGIS, onestamente, quanto è instabile? Quanti test
> avete già fatto? Insomma, in definitiva, quante probabilità ho che
> installando la 2.11 il mio prof e i miei studenti incappino in un bug?

bugs ce ne sono in ogni versione; bisogna vedere se questi sono davvero
importanti per il tuo lavoro, cosa francamente impossibile da verificare
a priori.

> Cosa colpiscono di solito i bug che escono a questo stadio di sviluppo?
> Nel caso, quale sub-version della 2.11 mi consiglieresti di installare??
> 2.11.0-82 o 2.11.0-83? Dall'OsGeo installer devo prendere quella
> indicata in qgis-dev o qgis-dev-pdb?

sempre l'ultimissima: qgis-dev, aggiornata giornalmente.
considera che esponendo gli studenti all'ultima versione gli dai anche
la possibilità di capire che quel che stanno usando non è una versione
craccata di ArcCoso, ma software libero, su cui possono mettere davvero
le mani. A mio avviso, questa è un'esperienza importante, di fronte alla
quale l'eventuale bug passa in secondo piano.

spero ti sia utile.
altri pareri sono benvenuti.

saluti.

--
Paolo Cavallini - www.faunalia.eu
QGIS & PostGIS courses: http://www.faunalia.eu/training.html
_______________________________________________
[hidden email]
http://lists.gfoss.it/cgi-bin/mailman/listinfo/gfoss
Questa e' una lista di discussione pubblica aperta a tutti.
I messaggi di questa lista non hanno relazione diretta con le posizioni dell'Associazione GFOSS.it.
786 iscritti al 30.9.2015